API REFERENCE
Create Monitor Task API
POST
/open-api/v1/ad-monitor-task/create-monitor-task·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/create-monitor-task' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
"facebook_page_id_list": [
"100726615757315"
],
"group_id": "d7fffb6c5166af6c285438ecf5202a87"
}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| body
body · optional
| object | | - |
| » facebook_page_id_list
body · optional
| [string] | Facebook Advertiser ID List | none |
| » facebook_page_url_list
body · optional
| [string] | Facebook Advertiser URL List | none |
| » facebook_public_page_number_list
body · optional
| [string] | Facebook Public Page Number List | none |
| » facebook_shop_url_list
body · optional
| [string] | Store/Website URL List | none |
| » group_id
body · optional
| string¦null | Ad Group ID | none |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"data": [
{
"task_id": "902175d02614903e4944dfdfe85bbb4d",
"facebook_page_id": "100726615757315",
"facebook_page_url": null,
"facebook_public_page_number": null,
"facebook_shop_url": null,
"error_message": null
}
]
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» data | [object] | true | none | none | |
| »»» task_id | string | true | none | Monitor Task ID | none |
| »»» facebook_page_id | string¦null | true | none | Facebook Advertiser ID | none |
| »»» facebook_page_url | string¦null | true | none | Facebook Advertiser URL | none |
| »»» facebook_public_page_number | string¦null | true | none | Facebook Public Page Number | none |
| »»» facebook_shop_url | string¦null | true | none | Store/Website URL | none |
| »»» error_message | string¦null | true | none | Error Message | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
